# Cost Centers APIs to create and manage company cost centers. ## Create cost center - [POST /v2/companies/{companyId}/cost-centers](https://developer.spotnana.com/openapi/companyapi/cost-centers/createcostcenter.md): This endpoint creates a cost center. ## Get cost center - [GET /v2/companies/{companyId}/cost-centers/{costCenterId}](https://developer.spotnana.com/openapi/companyapi/cost-centers/getcostcenter.md): This endpoint gets a cost center by ID. ## Update cost center - [PUT /v2/companies/{companyId}/cost-centers/{costCenterId}](https://developer.spotnana.com/openapi/companyapi/cost-centers/updatecostcenter.md): This endpoint updates a cost center by ID. ## Delete cost center - [DELETE /v2/companies/{companyId}/cost-centers/{costCenterId}](https://developer.spotnana.com/openapi/companyapi/cost-centers/deletecostcenter.md): This endpoint deletes a cost center by ID. ## List cost centers - [POST /v3/companies/{companyId}/cost-centers/list](https://developer.spotnana.com/openapi/companyapi/cost-centers/listcostcentersv3.md): This endpoint lists cost centers of a company. ## List cost centers (deprecated) - [GET /v2/companies/{companyId}/cost-centers](https://developer.spotnana.com/openapi/companyapi/cost-centers/listcostcenters.md): This endpoint lists cost centers of a company. If an externalId is provided in the query parameter only the cost center with the provided externalId is returned.